<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.crawler.modules.appium.mapper.AppiumTaskItemMapper">
    <select id="selectByParams" resultType="cn.com.ctop.crawler.modules.appium.entity.AppiumTaskItem">
        select
        *
        from
        ctop_appium_task_item
        where
        1=1
        <if test="null!=package">
            and app_package = #{package}
        </if>
        <if test="null!=activity">
            and app_activity = #{activity}
        </if>
        <if test="null!=taskId">
            and task_id = #{taskId}
        </if>
        order by id desc
    </select>
</mapper>
